Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.ipc
Class RootObject

    java.lang.Object
      com.skype.ipc.RootObject

All Implemented Interfaces:
  EventHandler

Direct Known Subclasses:
  Skype

    public class RootObject

extends java.lang.Object
implements EventHandler

Nested Class Summary
`static interface` | `RootObject.ErrorListener`

Field Summary
`RootObject.ErrorListener` | `errorListener`

Constructor Summary
`RootObject()`

Method Summary
`void` | `Close()`
`SkypeObject` | `factory(int moduleId, int objectId, Skype skype)`
`GetPropertyResponse` | `GetProperty(GetPropertyRequest request)`
`protected Transport` | `getTransport()`
`void` | `HandleEvent(Event e)`
`void` | `HandlePropertyChange(PropertyChange pc)`
`void` | `Init(Transport t)`
`void` | `InitNonTLSInsecure(java.lang.String appToken, Transport t)` Deprecated.
`GetPropertyResponse` | `MultiGetProperty(MultiGetPropertyRequest request)`
`void` | `SetErrorListener(RootObject.ErrorListener listener)` Set Error Listener for Skypekit errors
`Response` | `XCall(XCallRequest request)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### errorListener

    public RootObject.ErrorListener errorListener

Constructor Detail

### RootObject

    public RootObject()

Method Detail

### SetErrorListener

    public void SetErrorListener(RootObject.ErrorListener listener)

  Set Error Listener for Skypekit errors

### getTransport

    protected Transport getTransport()

### HandleEvent

    public void HandleEvent(Event e)

  Specified by:
    `HandleEvent` in interface `EventHandler`

### HandlePropertyChange

    public void HandlePropertyChange(PropertyChange pc)

  Specified by:
    `HandlePropertyChange` in interface `EventHandler`

### Init

    public void Init(Transport t)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### InitNonTLSInsecure

    @Deprecated
    public void InitNonTLSInsecure(java.lang.String appToken,
                                              Transport t)
                            throws java.io.IOException

  Deprecated.

  For Skype internal testing use only.

  Throws:
    `java.io.IOException`

### Close

    public void Close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### XCall

    public Response XCall(XCallRequest request)

### GetProperty

    public GetPropertyResponse GetProperty(GetPropertyRequest request)

### MultiGetProperty

    public GetPropertyResponse MultiGetProperty(MultiGetPropertyRequest request)

### factory

    public SkypeObject factory(int moduleId,
                               int objectId,
                               Skype skype)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.